You are here

Failed upgrade

2 posts / 0 new
Last post
bens@digitalcraftsmen.com
bens@digitalcraftsmen.com's picture
Failed upgrade

Good morning all,

Was trying to upgrade opsview msp + slaves.  All machines are running ubuntu 12.04 LTS.

Everything goes well with the process (configs are generated and sent to slaves.. the master even reports it is running the latest version). Opsview, alerts and monitoring is all functioning as intended,  I do keep seeing a runaway opsviewnfd daemon process running for long periods though..

I've retried this morning with 'apt-get install opsview' but when it ends I get the following dpkg errors regarding opsview-core

 

Running common postinstall tasks Nagios already running Starting opsview-agent opsview-agent /usr/local/nagios/bin/nrpe already running. invoke-rc.d: initscript opsview-agent, action "start" failed. dpkg: error processing opsview-core (--configure):  subprocess installed post-installation script returned error exit status 1 No apport report written because the error message indicates its a followup error from a previous failure.                                                                                                           No apport report written because the error message indicates its a followup error from a previous failure.                                                                                            dpkg: dependency problems prevent configuration of opsview-web:  opsview-web depends on opsview-core (>= 4.5.2.16321); however:   Package opsview-core is not configured yet. dpkg: error processing opsview-web (--configure):  dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of opsview:  opsview depends on opsview-core (>= 4.5.2.16321); however:   Package opsview-core is not configured yet.  opsview depends on opsview-web (>= 4.5.2.16321); however:   Package opsview-web is not configured yet. dpkg: error processing opsview (--configure):  dependency problems - leaving unconfigured Errors were encountered while processing:  opsview-core  opsview-web  opsview E: Sub-process /usr/bin/dpkg returned an error code (1)

Suggestions on how to get this to complete successfully would be appreciated.

--

Ben 

smarsh
smarsh's picture
Re: Failed upgrade

Hi Ben,

Can you raise this with our official support team at http://support.opsview.com?

Best,

Sam